# Interface RegionBoundingVolume

interface RegionBoundingVolume {
east: number;
maxHeight: number;
minHeight: number;
north: number;
south: number;
type: "regin";
west: number;
applyMatrix4(matrix: Matrix4): this;
clone(): RegionBoundingVolume;
copy(regionBoundingVolume: RegionBoundingVolume): RegionBoundingVolume;
distanceSquaredToPoint(point: Vector3): number;
distanceToPlane(plane: Plane): number;
distanceToPoint(point: Vector3): number;
fromJson(__namedParameters: RegionBoundingVolumeJson): this;
getBoundingBox(target: Box3): Box3;
getCenter(result: Vector3): Vector3;
intersectPlane(plane: Plane): VolumePlaneIntersect;
intersectRay(ray: Ray, threshold?: number, far?: number): boolean;
toGeometry(): BufferGeometry;
toJson(): RegionBoundingVolumeJson;
}

#### Implements

- BoundingVolume

- Defined in lib/five/utils/volume.ts:611

##### Index

### Properties

east
maxHeight
minHeight
north
south
type
west

### Methods

applyMatrix4
clone
copy
distanceSquaredToPoint
distanceToPlane
distanceToPoint
fromJson
getBoundingBox
getCenter
intersectPlane
intersectRay
toGeometry
toJson

## Properties

### east

east: number

- Defined in lib/five/utils/volume.ts:616

### maxHeight

maxHeight: number

- Defined in lib/five/utils/volume.ts:619

### minHeight

minHeight: number

- Defined in lib/five/utils/volume.ts:618

### north

north: number

- Defined in lib/five/utils/volume.ts:617

### south

south: number

- Defined in lib/five/utils/volume.ts:615

### type

type: "regin" = ...

Implementation of BoundingVolume.type

- Defined in lib/five/utils/volume.ts:612

### west

west: number

- Defined in lib/five/utils/volume.ts:614

## Methods

### applyMatrix4

- applyMatrix4(matrix: Matrix4): this

  #### Parameters

  - matrix: Matrix4

  #### Returns this

  Implementation of BoundingVolume.applyMatrix4

  - Defined in lib/five/utils/volume.ts:676

### clone

- clone(): RegionBoundingVolume

  #### Returns RegionBoundingVolume

  Implementation of BoundingVolume.clone

  - Defined in lib/five/utils/volume.ts:664

### copy

- copy(regionBoundingVolume: RegionBoundingVolume): RegionBoundingVolume

  #### Parameters

  - regionBoundingVolume: RegionBoundingVolume

  #### Returns RegionBoundingVolume

  Implementation of BoundingVolume.copy

  - Defined in lib/five/utils/volume.ts:654

### distanceSquaredToPoint

- distanceSquaredToPoint(point: Vector3): number

  #### Parameters

  - point: Vector3

  #### Returns number

  Implementation of BoundingVolume.distanceSquaredToPoint

  - Defined in lib/five/utils/volume.ts:688

### distanceToPlane

- distanceToPlane(plane: Plane): number

  #### Parameters

  - plane: Plane

  #### Returns number

  Implementation of BoundingVolume.distanceToPlane

  - Defined in lib/five/utils/volume.ts:692

### distanceToPoint

- distanceToPoint(point: Vector3): number

  #### Parameters

  - point: Vector3

  #### Returns number

  Implementation of BoundingVolume.distanceToPoint

  - Defined in lib/five/utils/volume.ts:684

### fromJson

- fromJson(__namedParameters: RegionBoundingVolumeJson): this

  #### Parameters

  - __namedParameters: RegionBoundingVolumeJson

  #### Returns this

  Implementation of BoundingVolume.fromJson

  - Defined in lib/five/utils/volume.ts:631

### getBoundingBox

- getBoundingBox(target: Box3): Box3

  #### Parameters

  - target: Box3

  #### Returns Box3

  Implementation of BoundingVolume.getBoundingBox

  - Defined in lib/five/utils/volume.ts:668

### getCenter

- getCenter(result: Vector3): Vector3

  #### Parameters

  - result: Vector3

  #### Returns Vector3

  Implementation of BoundingVolume.getCenter

  - Defined in lib/five/utils/volume.ts:680

### intersectPlane

- intersectPlane(plane: Plane): VolumePlaneIntersect

  #### Parameters

  - plane: Plane

  #### Returns VolumePlaneIntersect

  Implementation of BoundingVolume.intersectPlane

  - Defined in lib/five/utils/volume.ts:696

### intersectRay

- intersectRay(ray: Ray, threshold?: number, far?: number): boolean

  #### Parameters

  - ray: Ray
  - threshold: number = 0
  - `Optional` far: number

  #### Returns boolean

  Implementation of BoundingVolume.intersectRay

  - Defined in lib/five/utils/volume.ts:700

### toGeometry

- toGeometry(): BufferGeometry

  #### Returns BufferGeometry

  Implementation of BoundingVolume.toGeometry

  - Defined in lib/five/utils/volume.ts:672

### toJson

- toJson(): RegionBoundingVolumeJson

  #### Returns RegionBoundingVolumeJson

  Implementation of BoundingVolume.toJson

  - Defined in lib/five/utils/volume.ts:641